| Flutter Windows Embedder |

Public Attributes | List of all members
flutter::HostWindow::SavedWindowInfo Struct Reference

`#include <host_window.h>`

## Public Attributes
LONG | style
LONG | ex_style
RECT | rect
ActualWindowSize | client_size
int | dpi
HMONITOR | monitor
MONITORINFO | monitor_info

## Detailed Description

Definition at line 110 of file host_window.h.

## Member Data Documentation

## ◆ client_size

ActualWindowSize flutter::HostWindow::SavedWindowInfo::client_size

Definition at line 114 of file host_window.h.

Referenced by flutter::HostWindow::SetConstraints(), flutter::HostWindow::SetContentSize(), and flutter::HostWindow::SetFullscreen().

## ◆ dpi

int flutter::HostWindow::SavedWindowInfo::dpi

Definition at line 115 of file host_window.h.

Referenced by flutter::HostWindow::SetFullscreen().

## ◆ ex_style

LONG flutter::HostWindow::SavedWindowInfo::ex_style

Definition at line 112 of file host_window.h.

Referenced by flutter::HostWindow::SetConstraints(), flutter::HostWindow::SetContentSize(), and flutter::HostWindow::SetFullscreen().

## ◆ monitor

HMONITOR flutter::HostWindow::SavedWindowInfo::monitor

Definition at line 116 of file host_window.h.

Referenced by flutter::HostWindow::SetFullscreen().

## ◆ monitor_info

MONITORINFO flutter::HostWindow::SavedWindowInfo::monitor_info

Definition at line 117 of file host_window.h.

Referenced by flutter::HostWindow::SetFullscreen().

## ◆ rect

RECT flutter::HostWindow::SavedWindowInfo::rect

Definition at line 113 of file host_window.h.

Referenced by flutter::HostWindow::SetConstraints(), flutter::HostWindow::SetContentSize(), and flutter::HostWindow::SetFullscreen().

## ◆ style

LONG flutter::HostWindow::SavedWindowInfo::style

Definition at line 111 of file host_window.h.

Referenced by flutter::HostWindow::SetConstraints(), flutter::HostWindow::SetContentSize(), and flutter::HostWindow::SetFullscreen().

The documentation for this struct was generated from the following file:

- shell/platform/windows/host_window.h